# Uses of Class
org.opensaml.xmlsec.keyinfo.impl.KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions

Packages that use KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions
Package
Description
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl declared as KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions
Modifier and Type
Field
Description
`private final KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`options`
The set of options to be used by the generator.
`private final KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`
KeyAgreementKeyInfoGeneratorFactory.`options`
The set of options configured for the factory.
Methods in org.opensaml.xmlsec.keyinfo.impl that return KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions
Modifier and Type
Method
Description
`protected KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions.`clone()`
`protected KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`
KeyAgreementKeyInfoGeneratorFactory.`getOptions()`
Get the options of this instance.
`protected KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`
KeyAgreementKeyInfoGeneratorFactory.`newOptions()`
Get a new instance to hold options.
Constructors in org.opensaml.xmlsec.keyinfo.impl with parameters of type KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions
Modifier
Constructor
Description
`protected`
`KeyAgreementKeyInfoGenerator(KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions newOptions, Class<? extends KeyInfo> type)`
Constructor.